package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpSupplierConfirmStatusEnum {
   WAIT_CONFIRM(1, "待确认"),
   CONFIRM_PASS(2, "确认通过"),
   IS_REJECT(3, "已拒绝");

   private final Integer key;
   private final String value;

   private DrpSupplierConfirmStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static String getValue(Integer key) {
      DrpSupplierConfirmStatusEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         DrpSupplierConfirmStatusEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getValue();
         }
      }

      return null;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getValue() {
      return this.value;
   }

}
